using System;

namespace idktakmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            double T = double.Parse(Console.ReadLine());
            string s = Console.ReadLine();
            Console.WriteLine("-1");
            Console.WriteLine("1 1 1 1");
            Console.WriteLine("1 0 0 1");
            Console.WriteLine("1 0 1 1");
            Console.WriteLine("1 1 1 1");
        }
    }
}